Skip to main content
aboutsummaryrefslogtreecommitdiffstats
path: root/releng
diff options
context:
space:
mode:
authorQuentin Le Menez2018-10-26 11:05:35 -0400
committerQuentin Le Menez2018-10-29 03:53:07 -0400
commit1686532527abb5025af4b7979faf11e326841444 (patch)
tree24f9a7ed6ed61592f6bb165b4ff62c2b2c35738d /releng
parent71608011bed1285f737b89060bc33c970ff2fed6 (diff)
downloadorg.eclipse.papyrus-1686532527abb5025af4b7979faf11e326841444.tar.gz
org.eclipse.papyrus-1686532527abb5025af4b7979faf11e326841444.tar.xz
org.eclipse.papyrus-1686532527abb5025af4b7979faf11e326841444.zip
Bug 539022 - [Releng] Update the RCP configuration
- equinox.ds is not supported by Eclipse platform 4.10+ and replaced by apache.felix.scr - 32bits launchers are not supported by Eclipse platform 4.10 Change-Id: Ifa32f0710a09814b39f5cc62a15fe1eddf14a4c2 Signed-off-by: Quentin Le Menez <quentin.lemenez@cea.fr>
Diffstat (limited to 'releng')
-rw-r--r--releng/rcp/org.eclipse.papyrus.rcp.product/papyrus.product9
-rw-r--r--releng/rcp/org.eclipse.papyrus.rcp.product/pom.xml25
2 files changed, 30 insertions, 4 deletions
diff --git a/releng/rcp/org.eclipse.papyrus.rcp.product/papyrus.product b/releng/rcp/org.eclipse.papyrus.rcp.product/papyrus.product
index 58348ba556e..24120e32116 100644
--- a/releng/rcp/org.eclipse.papyrus.rcp.product/papyrus.product
+++ b/releng/rcp/org.eclipse.papyrus.rcp.product/papyrus.product
@@ -47,7 +47,6 @@ This product includes software developed by other open source projects including
</win>
</launcher>
-
<vm>
</vm>
@@ -191,9 +190,9 @@ Java and all Java-based trademarks are trademarks of Oracle Corporation in the U
</features>
<configurations>
+ <plugin id="org.apache.felix.scr" autoStart="true" startLevel="1" />
<plugin id="org.eclipse.core.runtime" autoStart="true" startLevel="4" />
<plugin id="org.eclipse.equinox.common" autoStart="true" startLevel="2" />
- <plugin id="org.eclipse.equinox.ds" autoStart="true" startLevel="2" />
<plugin id="org.eclipse.equinox.event" autoStart="true" startLevel="2" />
<plugin id="org.eclipse.equinox.p2.reconciler.dropins" autoStart="true" startLevel="4" />
<plugin id="org.eclipse.equinox.simpleconfigurator" autoStart="true" startLevel="1" />
@@ -205,9 +204,11 @@ Java and all Java-based trademarks are trademarks of Oracle Corporation in the U
</configurations>
<repositories>
- <repository location="http://download.eclipse.org/eclipse/updates/4.9" enabled="true" />
- <repository location="http://download.eclipse.org/releases/2018-09/" enabled="true" />
<repository location="http://download.eclipse.org/modeling/mdt/papyrus/updates/nightly/master/" enabled="true" />
+ <repository location="http://download.eclipse.org/releases/2018-09/" enabled="true" />
+ <repository location="http://download.eclipse.org/eclipse/updates/4.10/" enabled="true" />
+ <repository location="http://download.eclipse.org/releases/2018-12/" enabled="true" />
+ <repository location="http://download.eclipse.org/eclipse/updates/4.9/" enabled="true" />
</repositories>
<preferencesInfo>
diff --git a/releng/rcp/org.eclipse.papyrus.rcp.product/pom.xml b/releng/rcp/org.eclipse.papyrus.rcp.product/pom.xml
index 946f4d4cd73..1aac45d56b5 100644
--- a/releng/rcp/org.eclipse.papyrus.rcp.product/pom.xml
+++ b/releng/rcp/org.eclipse.papyrus.rcp.product/pom.xml
@@ -28,6 +28,31 @@
<includeAllDependencies>true</includeAllDependencies>
</configuration>
</plugin>
+ <!-- The 32 bit launchers are not supported by the new 4.10 platform framework -->
+ <plugin>
+ <groupId>org.eclipse.tycho</groupId>
+ <artifactId>target-platform-configuration</artifactId>
+ <version>${tycho-version}</version>
+ <configuration>
+ <environments>
+ <environment>
+ <os>linux</os>
+ <ws>gtk</ws>
+ <arch>x86_64</arch>
+ </environment>
+ <environment>
+ <os>win32</os>
+ <ws>win32</ws>
+ <arch>x86_64</arch>
+ </environment>
+ <environment>
+ <os>macosx</os>
+ <ws>cocoa</ws>
+ <arch>x86_64</arch>
+ </environment>
+ </environments>
+ </configuration>
+ </plugin>
<plugin>
<groupId>org.eclipse.tycho</groupId>
<artifactId>tycho-p2-director-plugin</artifactId>

Back to the top